Announcement Announcement Module
Collapse
No announcement yet.
build failed problem Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • build failed problem

    Hi Friends, I was trying to compile and run the example sample code came with the SPRING-DATA-HADOOP-1.0.0.M1. But i am unable to compile it with gradlew. Here is the outputs, can you please help me what is wrong going on ..

    HTML Code:
    [paragflume@fedora samples]$ ../gradlew installApp
    :compileJava UP-TO-DATE
    :processResources
    :classes
    :jar
    :startScripts
    Download http://repo.springsource.org/libs-release/org/springframework/batch/spring-batch-core/2.1.8.RELEASE/spring-batch-core-2.1.8.RELEASE.pom
    Download http://repo.springsource.org/libs-release/org/springframework/batch/spring-batch-parent/2.1.8.RELEASE/spring-batch-parent-2.1.8.RELEASE.pom
    Download http://repo.springsource.org/libs-release/org/springframework/spring-tx/3.0.7.RELEASE/spring-tx-3.0.7.RELEASE.pom
    Download http://repo.springsource.org/libs-release/org/codehaus/groovy/groovy/1.8.5/groovy-1.8.5.pom
    Download http://repo.springsource.org/libs-release/org/codehaus/jackson/jackson-mapper-asl/1.8.8/jackson-mapper-asl-1.8.8.pom
    Download http://repo.springsource.org/libs-release/org/springframework/batch/spring-batch-infrastructure/2.1.8.RELEASE/spring-batch-infrastructure-2.1.8.RELEASE.pom
    Download http://repo.springsource.org/libs-release/com/thoughtworks/xstream/xstream/1.3/xstream-1.3.pom
    Download http://repo.springsource.org/libs-release/com/thoughtworks/xstream/xstream-parent/1.3/xstream-parent-1.3.pom
    Download http://repo.springsource.org/libs-release/org/springframework/spring-aop/2.5.6/spring-aop-2.5.6.pom
    Download http://repo.springsource.org/libs-release/org/springframework/spring-beans/2.5.6/spring-beans-2.5.6.pom
    Download http://repo.springsource.org/libs-release/org/springframework/spring-context/2.5.6/spring-context-2.5.6.pom
    Download http://repo.springsource.org/libs-release/asm/asm/3.2/asm-3.2.pom
    Download http://repo.springsource.org/libs-release/asm/asm-parent/3.2/asm-parent-3.2.pom
    Download http://repo.springsource.org/libs-release/asm/asm-commons/3.2/asm-commons-3.2.pom
    Download http://repo.springsource.org/libs-release/asm/asm-util/3.2/asm-util-3.2.pom
    Download http://repo.springsource.org/libs-release/asm/asm-analysis/3.2/asm-analysis-3.2.pom
    Download http://repo.springsource.org/libs-release/asm/asm-tree/3.2/asm-tree-3.2.pom
    Download http://repo.springsource.org/libs-release/org/codehaus/jackson/jackson-core-asl/1.8.8/jackson-core-asl-1.8.8.pom
    Download http://repo.springsource.org/libs-release/xpp3/xpp3_min/1.1.4c/xpp3_min-1.1.4c.pom
    
    FAILURE: Build failed with an exception.
    
    * What went wrong:
    Could not resolve all dependencies for configuration ':runtime'.
    > Could not resolve group:org.apache.hadoop, module:hadoop-examples, version:1.0.0.
      Required by:
          :batch-wordcount:1.0.0.M1
       > Could not GET 'http://repo.springsource.org/libs-release/org/apache/hadoop/hadoop-examples/1.0.0/hadoop-examples-1.0.0.pom'. Received status code 401 from server: Unauthorized
       > Could not GET 'http://repo.springsource.org/libs-milestone/org/apache/hadoop/hadoop-examples/1.0.0/hadoop-examples-1.0.0.pom'. Received status code 401 from server: Unauthorized
       > Could not GET 'http://repo.springsource.org/libs-snapshot/org/apache/hadoop/hadoop-examples/1.0.0/hadoop-examples-1.0.0.pom'. Received status code 401 from server: Unauthorized
    > Could not find group:org.apache.hadoop, module:hadoop-core, version:0.20.1.
      Required by:
          :batch-wordcount:1.0.0.M1 > org.springframework.data:spring-data-hadoop:1.0.0.M1 > org.apache.hbase:hbase:0.90.5
          :batch-wordcount:1.0.0.M1 > org.springframework.data:spring-data-hadoop:1.0.0.M1 > org.apache.hive:hive-metastore:0.8.1
          :batch-wordcount:1.0.0.M1 > org.springframework.data:spring-data-hadoop:1.0.0.M1 > org.apache.hive:hive-metastore:0.8.1 > org.apache.hive:hive-common:0.8.1
          :batch-wordcount:1.0.0.M1 > org.springframework.data:spring-data-hadoop:1.0.0.M1 > org.apache.hive:hive-metastore:0.8.1 > org.apache.hive:hive-serde:0.8.1
          :batch-wordcount:1.0.0.M1 > org.springframework.data:spring-data-hadoop:1.0.0.M1 > org.apache.hive:hive-metastore:0.8.1 > org.apache.hive:hive-shims:0.8.1
    > Could not find group:org.apache.thrift, module:thrift, version:0.2.0.
      Required by:
          :batch-wordcount:1.0.0.M1 > org.springframework.data:spring-data-hadoop:1.0.0.M1 > org.apache.hbase:hbase:0.90.5
    > Could not find group:javax.jdo, module:jdo2-api, version:2.3-ec.
      Required by:
          :batch-wordcount:1.0.0.M1 > org.springframework.data:spring-data-hadoop:1.0.0.M1 > org.apache.hive:hive-metastore:0.8.1
    
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    
    BUILD FAILED
    
    Total time: 39.631 secs

  • #2
    having this exact same issue

    Comment


    • #3
      nevermind, I fixed this issue by:

      1. listing the extra repos in build.gradle as suggested here:

      http://forum.springsource.org/showth...e-with-gradlew

      2. running chown -R in the samples/wordcount directory to fix permissions issues.

      Comment


      • #4
        Hi Andrewn,

        Thanks for your reply. I solve the problem using the same link you posted to my reply.

        Comment

        Working...
        X